Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class MergeObjectDB

    java.lang.Object
      com.sun.mdm.index.ops.ObjectPersistenceService
          com.sun.mdm.index.ops.MergeObjectDB

All Implemented Interfaces:
  java.io.Serializable

public final class MergeObjectDB
extends ObjectPersistenceService

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
`DATEFORMAT, DBDATEFORMAT`

Constructor Summary
`MergeObjectDB()` default constructor

Method Summary
`void` | `create(java.sql.Connection conn, MergeObject mObj)` Persists a MergeObject into database
`void` | `update(java.sql.Connection conn, java.lang.String unmergetn, java.lang.String originalTransactionID)` Updates an existing MergeObject
`void` | `update(java.sql.Connection conn, java.lang.String unmergetn, java.lang.String kepteuid, java.lang.String mergedeuid)` Updates an existing MergeObject.
`void` | `update(java.sql.Connection conn, java.lang.String mergetn, java.lang.String unmergetn, java.lang.String kepteuid, java.lang.String mergedeuid)` Updates an existing MergeObject.

Methods inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
`addobject, addobject, addobject, addobject, addobject, addobject, finalize, getStatement, getValue, init, log, setParam, setParamBlob, setParamBlob, sql2str, strfmt`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeObjectDB

    public MergeObjectDB()
                  throws OPSException

  default constructor

  Throws:
    `OPSException` - if an error occurs.

Method Detail

### create

    public void create(java.sql.Connection conn,
                       MergeObject mObj)
                throws OPSException

  Persists a MergeObject into database

  Parameters:
    `conn` - JDBC connection.
    `mObj` - MergeObject to persist.
  Throws:
    `OPSException` - if an error occurs.

### update

    public void update(java.sql.Connection conn,
                       java.lang.String unmergetn,
                       java.lang.String originalTransactionID)
                throws OPSException

  Updates an existing MergeObject

  Parameters:
    `conn` - JDBC connection.
    `unmergetn` - Unmerge transaction number.
    `originalTransactionID` - Original transaction ID of the merge.
  Throws:
    `OPSException` - if an error occurs.

### update

    public void update(java.sql.Connection conn,
                       java.lang.String unmergetn,
                       java.lang.String kepteuid,
                       java.lang.String mergedeuid)
                throws OPSException

  Updates an existing MergeObject.

  Parameters:
    `conn` - JDBC connection.
    `unmergetn` - Unmerge transaction number.
    `kepteuid` - Kept euid.
    `mergedeuid` - Merged euid.
  Throws:
    `OPSException` - if an error occurs.

### update

    public void update(java.sql.Connection conn,
                       java.lang.String mergetn,
                       java.lang.String unmergetn,
                       java.lang.String kepteuid,
                       java.lang.String mergedeuid)
                throws OPSException

  Updates an existing MergeObject.

  Parameters:
    `conn` - JDBC connection.
    `mergetn` - Original transaction number of the merge.
    `unmergetn` - Unmerge transaction number.
    `kepteuid` - Kept euid.
    `mergedeuid` - Merged euid.
  Throws:
    `OPSException` - if an error occurs.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.